// Tony Urschler
// October 25, 2021


#ifndef MSGQUEUE_H
#define MSGQUEUE_H

typedef struct {
    pid_t   pid;
    int     timeslice;
    int     nanoseconds;
    int     seconds;
    int     waitstartsec;
    int     waitstartns;
    int     unblocksec;
    int     unblockns;
    int     isIO;

    //message queue info
    int     msgqueueid;
    int     msgtype;
} pcb_t;

struct Queue* createQueue(unsigned capacity);
int isFull(struct Queue* queue);
int isEmpty(struct Queue* queue);
void enqueue(struct Queue* queue, int item);
int dequeue(struct Queue* queue);

#endif
